# encoding: utf-8

# -------------------------------------------------------------------------------
# (C) Copyright 2019 - 2021 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty
# statements accompanying such products and services. Nothing herein should be
# construed as constituting an additional warranty. Micro Focus shall not be
# liable for technical or editorial errors or omissions contained herein. The
# information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential
# information and a valid license is required for possession, use or copying. If
# this work is provided to the U.S. Government, consistent with FAR 12.211 and
# 12.212, Commercial Computer Software, Computer Software Documentation, and
# Technical Data for Commercial Items  are licensed to the U.S. Government under
# vendor's standard commercial license.
# ------------------------------------------------------------------------------
# Copyright (c) 2006 Novell, Inc. All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact Novell, Inc.
#
# To contact Novell about this file by physical or electronic mail, you may find
# current contact information at www.novell.com.
# ------------------------------------------------------------------------------

# File:	include/novell-schematool/helps.ycp
# Package:	Configuration of novell-schematool
# Summary:	Help texts of all the dialogs
# Authors:	Mark Clark <mclark@novell.com>
#
# $Id: helps.ycp 27914 2006-02-13 14:32:08Z locilka $
module Yast
  module NovellSchematoolHelpsInclude
    def initialize_novell_schematool_helps(include_target)
      textdomain "novell-schematool"

      # All helps are here
      @HELPS = {
        # Read dialog help 1/2
        "read"             => _(
          "<p><b><big>Initializing Schema Utility Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization</big></b><br>\nSafely stop the configuration utility by clicking <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write"            => _(
          "<p><b><big>Saving Schema Utility Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting the Save</big></b><br>\n" +
              "Stop the save procedure by clicking <b>Abort</b>.\n" +
              "This opens an additional dialog that indicates whether it is safe to do so.</p>\n" +
              "</p>\n"
          ),
        # Summary dialog help 1/3
        "summary"          => _(
          "<p><b><big>Schema Utility Configuration</big></b><br>\nConfigure the Schema utility here.<br></p>\n"
        ) +
          # Summary dialog help 2/3
          _(
            "<p><b><big>Adding a Schema Utility</big></b><br>\n" +
              "Select a Schema utility from the list of detected Schema utilities.\n" +
              "If your Schema utility was not detected, click <b>Other (not detected)</b>. Then click <b>Configure</b>.</p>\n"
          ) +
          # Summary dialog help 3/3
          _(
            "<p><b><big>Editing or Deleting</big></b><br>\n" +
              "Click <b>Edit</b> to open an additional dialog where you can change\n" +
              "the configuration.</p>\n" +
              "<p>Click <b>Delect</b> to delete a selected Schema utility.</p>\n"
          ),
        # Overview dialog help 1/3
        "overview"         => _(
          "<p><b><big>OES Schema Utility Configuration Overview</big></b><br>\n" +
            "Obtain an report of the installed Schema utilities. Additionally\n" +
            "edit their configurations.</p>\n"
        ) +
          # Overview dialog help 2/3
          _(
            "<p><b><big>Add</big></b><br>\nUse this options to configure a Schema utility.</p>"
          ) +
          # Overview dialog help 3/3
          _(
            "<p><b><big>Edit or Deleting</big></b><br>\n" +
              "To modify the configuration of a Schema utility or to remove it from the tree, select it,\n" +
              "then click <b>Edit</b> or <b>Delete</b> as desired.</p>\n"
          ),
        # SchemaDialog help 1/3
        "schema_extension" => _(
          "<p><b><big>Overview</big></b><br>\nUse this utility to extend the OES eDirectory schema for each selected service. Select each service to extend the schema for. If schema has already been extended, selecting it again does not change the configuration.</p>\n"
        ) +
          # SchemaDialog help 2/3
          _(
            "<p><b><big>Select All</big></b><br>\nUse this option to select all services.</p>\n"
          ) +
          # SchemaDialog help 3/3
          _(
            "<p><b><big>Deselect All</big></b><br>\nUse this option to deselect all services. It does not deselect services that already have an extended schema.</p>\n"
          ),
        # LDAP for Schema Tool help 1/5
        "ldap_for_schema"  => _(
          "<p><b><big>Overview</big></b><br>\nUse this dialog to specify eDirectory LDAP server information for the OES Schema Extension utility to use when extending the eDirectory schema.</p>\n"
        ) +
          # LDAP for Schema Tool help 2/5
          _(
            "<p><b><big>Host or IP Address of the Master Server or Read/Write Replica in the Tree</big></b><br>\nSpecify the hostname or IP address of the Master Server or a Read/Write Replica server in the eDirectory tree that you are extending the schema for.</p>\n"
          ) +
          # LDAP for Schema Tool help 3/5
          _(
            "<p><b><big>Secure LDAP Port</big></b><br>\nSpecify a secure LDAP port number for the utility to use for accessing LDAP services.</p>\n"
          ) +
          # LDAP for Schema Tool help 4/5
          _(
            "<p><b><big>Admin Name and Context</big></b><br>\nSpecify the fully distinguished, typeful name of a user with administrative rights in the tree. Use LDAP format.<br>For example, cn=admin,o=organization.</p>\n"
          ) +
          # LDAP for Schema Tool help 5/5
          _(
            "<p><b><big>Admin Password</big></b><br>\nSpecify the password for the eDirectory Admin user.</p>\n"
          )
      } 

      # EOF
    end
  end
end
